<?
session_start();
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../ind.php'; </script>";
 return;
}

include("../../opendb.php");
$us=mysqli_query($db,"select level from bruser where username='$user'")or die(mysqli_error());
$r=mysqli_fetch_row($us);
$user_level=$r[0];

$dt=$y.'-'.$m.'-'.$d;
if($user_level<=4)
{
$sq="select to_days(curdate())-to_days('$dt')";
$dtre=mysqli_query($db,$sq)or die(mysqli_error());
$dtrow=mysqli_fetch_row($dtre);

if($dtrow[0]>2 || $dtrow[0]<0)
{
 print "<script> alert('Invalid Date, Entry possible for last 2 days only'); history.back(1); </script>";
 return;
}
}
$dt=$y.'-'.$m.'-'.$d;


$i=0;
foreach($dr as $a)
{
 $dr[$i]=$a; 
 $i++;
}

$i=0;$totcsh=0;
foreach($dr_amt as $a)
{
 $dramt[$i]=$a; $totcsh+=$a;
 $i++;
}
$i=0;
foreach($dr_narr as $a)
{
 $drnarr[$i]=$a; 
 $i++;
}
$i=0;
foreach($ag as $a)
{
 $again[$i]=$a;$i++;
}
$i=0;
foreach($dragain as $a)
{
 $dr_again[$i]=$a;$i++;
}
$i=0;
foreach($dragval as $a)
{
 $dr_agval[$i]=$a;$i++;
}

$res=mysqli_query($db,"select max(jvno) from journal2 where brcode='$brcode'");
 $row=mysqli_fetch_row($res);
 if($row[0]<=0)
  $jvno=1;
 else
  $jvno=($row[0]+1);

$rs=mysqli_query($db,"select max(cpno) from cshpay where brcode='$brcode'");
$cr_row=mysqli_fetch_row($rs);
 if($cr_row[0]<=0)
   $cpno=1;
 else   
   $cpno=$cr_row[0]+1;

for($j=0;$j<$i;$j++)
{
 $sql="insert into journal2 values('$dt','$jvno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(CP:$cpno)','$brcode','CP','$dr_again[$j]','$dr_agval[$j]','$cpno')";
 mysqli_query($db,$sql)or die('Jour Dr Err:'.mysqli_error());

 $sql="insert into cshpay values('$dt','$cpno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(JV:$jvno)','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]')";
 mysqli_query($db,$sql)or die('Jour Dr Err:'.mysqli_error());

}
 $sql="insert into journal2 values('$dt','$jvno','Cr','Cash','0','$totcsh','Cash Payment.(CP:$cpno)','$brcode','CP','$dr_again[0]','$cr_agval[0]','$cpno')";
mysqli_query($db,$sql) or die('journal CR error:'.mysqli_error());

$rr=mysqli_query($db,"select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and jvno='$jvno'");
$rrrow=mysqli_fetch_row($rr);
if($rrrow[0]!=0)
{
 print "<script> alert('Debit, Credit mismatch of $rrrow[0], pls edit this entry again')</script>";
 print "<font color=red>Data has been posted with error.  Edit again</font><br>";
}
else
print "<font color=green>Data has been posted</font><br>";
include("cshpay.php");
?>
